# Merchant Search
Discover key information about merchants and make informed decisions.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Nearby Merchants
Nearby Merchants – Locator API can be used to search for nearby Visa accepting merchants with various filters

### [POST] /merchantsearch/v1/locator
**Merchant Locator**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"header"**: { **"startIndex"**: string (Default='0'), **"messageDateTime"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string }, **"searchOptions"**: { **"matchScore"**: boolean, **"maxRecords"**: string, **"matchIndicators"**: boolean, **"similarityScores"**: boolean }, **"searchAttrList"**: { **"distance"**: string, **"latitude"**: number or string, **"longitude"**: number or string, **"merchantUrl"**: string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*), **"distanceUnit"**: string, <br>**Available values:** "M", "KM", "m", "km", "mi", **"merchantCity"**: string, **"merchantName"**: string, **"terminalType"**: [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ], **"merchantState"**: string, **"cashBackIndicator"**: string ([YN]), **"lastTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"firstTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"merchantPostalCode"**: string, **"merchantCountryCode"**: integer or string, **"merchantPhoneNumber"**: integer or string, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"paymentAcceptanceMethod"**: [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ] }, **"responseAttrList"**: [ string ] }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Successful Response | **application/json**: { **"header"**: { **"startIndex"**: string (Default='0'), **"messageDateTime"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string }, **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"response"**: [ { **"matchScore"**: number, **"responseValues"**: { **"dbaname"**: [ string ], **"distance"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*), **"visaStoreId"**: string, **"merchantCity"**: string, **"terminalType"**: [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: [ string ], **"cashBackIndicator"**: string ([YN]), **"lastTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"firstTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"merchantPostalCode"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: integer or string, **"merchantPhoneNumber"**: integer or string, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string }, **"matchIndicators"**: string, **"similarityScore"**: number } ] }<br> |
| 400 | Unsuccessful response. Failed request validation | **application/json**: { **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |
| 401 | Unsuccessful response. Failed response group validation | **application/json**: { **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |
| 403 | Unsuccessful response. Failed authentication | **application/json**: { **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |

---
## Generic Search
Generic Search API is used to Search for Visa accepting merchants with general merchant parameters such as name, location etc. The typical use case for this API includes identifying Visa-accepting suppliers, onboarding merchants for rewards programs etc.

### [POST] /merchantsearch/v1/search
**Merchant Search**

#### Parameters

| Name | Located in | Description | Required | Schema | Style | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ----- | ------- |
| cdisiAutoGenId | header | CDISIVDP97666-1992148876 | Yes | string | simple | No |
| x-correlation-id | header | 1231231231 | No | string | simple | No |

#### Request Body

Search for merchants

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"header"**: { **"startIndex"**: string, **"messageDateTime"**: string, **"requestMessageId"**: string, **"businessApplicationId"**: string }, **"searchOptions"**: { **"wildcard"**: [ object ], **"proximity"**: [ object ], **"matchScore"**: boolean, **"maxRecords"**: string, **"matchIndicators"**: boolean, **"merchantNameSearch"**: [ object ] }, **"searchAttrList"**: { **"merchantUrl"**: string, **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"terminalType"**: string, **"merchantState"**: string, **"visaMerchantId"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: string, **"merchantCategoryCode"**: [ object ], **"merchantStreetAddress"**: string, **"acquirerCardAcceptorId"**: string, **"businessRegistrationId"**: string, **"paymentAcceptanceMethod"**: string }, **"responseAttrList"**: { **"responseAttrList"**: [ object ] } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"merchantSearchServiceResponse"**: { **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"response"**: { **"matchScore"**: number, **"responseValues"**: { **"dBAName"**: [ object ], **"spMrchFlag"**: string, **"merchantUrl"**: [ object ], **"visaStoreId"**: integer, **"merchantCity"**: string, **"terminalType"**: [ object ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: [ object ], **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: integer, **"merchantPhoneNumber"**: [ { **"type"**: string, **"number"**: string } ], **"merchantCategoryCode"**: [ object ], **"merchantStreetAddress"**: string, **"paymentFacilitatorName"**: string, **"smallBusinessIndicator"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ object ], **"soleProprietorIndicator"**: string, **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ object ], **"primaryMerchantCategoryCode"**: string }, **"matchIndicators"**: object }, **"responseHeader"**: { **"endIndex"**: integer, **"startIndex"**: integer, **"messageDateTime"**: string, **"requestMessageId"**: string, **"numRecordsMatched"**: integer, **"responseMessageId"**: string, **"numRecordsReturned"**: integer } } }<br> |

### [POST] /merchantsearch/v2/search
**Generic Search API**

Use general merchant parameters to retrieve merchant information from Visa’s global merchant repository

#### Request Body

Generic Search

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"header"**: { **"startIndex"**: string (Default='0'), **"messageDateTime"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string }, **"searchOptions"**: { **"matchScore"**: boolean, **"maxRecords"**: string, **"searchType"**: string, **"matchIndicators"**: boolean, **"confidenceScores"**: boolean, **"similarityScores"**: boolean }, **"searchAttrList"**: { **"acquirerMid"**: string, **"merchantUrl"**: string, **"visaStoreId"**: string, **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"terminalType"**: string, **"merchantState"**: string, **"visaMerchantId"**: string, **"visaEnterpriseId"**: string, **"cashBackIndicator"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: string, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"acquirerCardAcceptorId"**: string, **"paymentAcceptanceMethod"**: string }, **"responseAttrList"**: [ string ] }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Successful Response | **application/json**: { **"header"**: { **"endIndex"**: string, **"startIndex"**: string, **"messageDateTime"**: string, **"requestMessageId"**: string, **"numRecordsMatched"**: string, **"responseMessageId"**: string, **"numRecordsReturned"**: string }, **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"response"**: { **"matchScore"**: number, **"responseValues"**: { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"cashBackIndicator"**: string, **"lastTranDateRange"**: string, **"cardNotPresentVsid"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string }, **"matchIndicators"**: { **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"merchantState"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantCategoryCode"**: string, **"acquirerCardAcceptorId"**: string } } }<br> |

---
## Transaction Enrichment
The transaction enrichment bundle of APIs provides developers a set of APIs to enrich transactions with standardized and enhanced merchant information. The request data parameters within this API bundle should be input directly from transaction data.

Transaction Search API is applicable for both Visa transactions as well as non-Visa transactions. Transaction Lookup API is specifically for Visa transactions. Visa recommends using Lookup API for Visa transactions and Search API for non-Visa transactions if possible

### [POST] /merchantsearch/v1/merchantlookup
**Transaction Lookup API**

Use transaction lookup API to enrich Visa transactions by providing VisaNet transaction ID, Auth/C&S flag and transaction date

#### Request Body

Transaction Lookup

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"transactionId"**: string, **"transactionDate"**: string, **"transactionType"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Successful Response | **application/json**: { **"responseData"**: { **"responseValues"**: { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"orderReceipt"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"cardNotPresentFlagTran"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string } }, **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |

### [POST] /merchantsearch/v1/transactionsearch
**Transaction Search**

Use 7-8 fields from transaction data to enrich Visa or non-Visa transactions.

#### Request Body

Transaction Enrichment

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"header"**: { **"startIndex"**: string (Default='0'), **"messageDateTime"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string }, **"searchOptions"**: { **"maxRecords"**: string, **"searchType"**: string, **"matchIndicators"**: boolean, **"confidenceScores"**: boolean }, **"searchAttrList"**: { **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"merchantState"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantCategoryCode"**: [ string ], **"acquirerCardAcceptorId"**: string }, **"responseAttrList"**: [ string ] }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Successful Response | **application/json**: { **"header"**: { **"endIndex"**: string, **"startIndex"**: string, **"messageDateTime"**: string, **"requestMessageId"**: string, **"numRecordsMatched"**: string, **"responseMessageId"**: string, **"numRecordsReturned"**: string }, **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"response"**: { **"responseValues"**: { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"orderReceipt"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string }, **"confidenceRange"**: string, **"confidenceScore"**: number, **"matchIndicators"**: { **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"merchantState"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantCategoryCode"**: string, **"acquirerCardAcceptorId"**: string } } }<br> |

---
### Schemas

#### distanceUnit Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| distanceUnit | string, <br>**Available values:** "M", "KM", "m", "km", "mi" |  |  |

**Example**
<pre>M</pre>

#### visaEnterpriseName Schema

The name of merchant's parent enterprise

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaEnterpriseName | string | The name of merchant's parent enterprise |  |

**Example**
<pre></pre>

#### merchantPhoneNumber Schema

Phone number of merchant store location and it's type

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantPhoneNumber | integer or string | Phone number of merchant store location and it's type |  |

#### primaryMerchantCategoryGroup Schema

The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| primaryMerchantCategoryGroup | string | The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups. |  |

**Example**
<pre>Restaurant</pre>

#### locationAddressLongitude Schema

The longitude co-ordinates of merchant store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| locationAddressLongitude | string | The longitude co-ordinates of merchant store location |  |

**Example**
<pre>-122.3958</pre>

#### merchantCategoryCodeDesc Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantCategoryCodeDesc | [ string ] |  |  |

#### firstTranDateRange Schema

First transaction date range of the merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| firstTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | First transaction date range of the merchant |  |

**Example**
<pre>IN LAST 365 DAYS</pre>

#### merchantName Schema

Name of the merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantName | string | Name of the merchant |  |

**Example**
<pre>McDonalds</pre>

#### similarityScore Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| similarityScore | number |  |  |

**Example**
<pre>0.762</pre>

#### responseAttrList Schema

A response group name is assigned by Visa for each client during onboarding.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseAttrList | [ string ] | A response group name is assigned by Visa for each client during onboarding. |  |

#### status-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | Yes |
| statusDescription | string | A description of the StatusCode. A brief description indicating the result of the Service request | Yes |

**Example**
<pre>{
  "status": {
    "statusCode": "CDI000",
    "statusDescription": "Success"
  }
}</pre>

#### responseValues Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| dbaname | [ string ] | Doing business as name | No |
| distance | string | *Example:* `"8.5"` | No |
| brandName | string | Brand/trademark name of the merchant<br>*Example:* `"Abc's Coffee"` | No |
| spMrchFlag | string | A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable)<br>*Example:* `"Y"` | No |
| merchantUrl | string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*) | URL of the Merchant<br>*Example:* `"http://www.starbucks.com"` | No |
| visaStoreId | string | VSID - Visa's unique identifier of a merchant store location. Note: This value is internal to Visa<br>*Example:* `"270000111"` | No |
| merchantCity | string | The city of the merchant store location<br>*Example:* `"San Jose"` | No |
| terminalType | [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ] | Types of terminal(s) available at the merchant store location. Applicable values: Swipe, Chip, Paywave (contactless) | No |
| merchantState | string | State of the merchant location<br>*Example:* `"CA"` | No |
| visaStoreName | string | The name of merchant at store location<br>*Example:* `"Pizza Hut, San Mateo"` | No |
| visaMerchantId | string | The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities.<br>*Example:* `"11111111"` | No |
| categoryIconUrl | string | A category icon image corresponding to the field 'primaryMerchantCategoryGroup'<br>*Example:* `"https://images.visa.com/GMR/logos/0813/Xyjhjhgd787Uud.png"` | No |
| merchantIconUrl | string | Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/icons/7521/XbbPtRRU9AKUOg.jpeg"` | No |
| merchantLogoUrl | string | Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/logos/0813/8R8xVR9UkizA.png"` | No |
| visaEnterpriseId | string | The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it.<br>*Example:* `"70341416352"` | No |
| visaMerchantName | string | The name of merchant at a brand level<br>*Example:* `"ABC Business"` | No |
| businessLegalName | [ string ] | Business legal name of the merchant | No |
| cashBackIndicator | string ([YN]) | *Example:* `"Y"` | No |
| lastTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Enum:* `"IN LAST 30 DAYS"`, `"IN LAST 90 DAYS"`, `"IN LAST 180 DAYS"`, `"IN LAST 365 DAYS"`, `"IN MORE THAN 365 DAYS"`<br>*Example:* `"IN MORE THAN 365 DAYS"` | No |
| firstTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | First transaction date range of the merchant<br>*Enum:* `"IN LAST 30 DAYS"`, `"IN LAST 90 DAYS"`, `"IN LAST 180 DAYS"`, `"IN LAST 365 DAYS"`, `"IN MORE THAN 365 DAYS"`<br>*Example:* `"IN LAST 365 DAYS"` | No |
| merchantPostalCode | string | The postal code of the merchant store location<br>*Example:* `"95103"` | No |
| visaEnterpriseName | string | The name of merchant's parent enterprise<br>*Example:* `""` | No |
| merchantCountryCode | integer or string | Country Code of the Merchant. Merchant Country code is mandatory with MerchantName | No |
| merchantPhoneNumber | integer or string | Phone number of merchant store location and it's type | No |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at it's store location | No |
| merchantStreetAddress | string | Street Address of the registered Merchant<br>*Example:* `"120 S. 1st St."` | No |
| locationAddressLatitude | string | The latitude co-ordinates of the merchant store location<br>*Example:* `"37.7661"` | No |
| paymentAcceptanceMethod | [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) | No |
| locationAddressLongitude | string | The longitude co-ordinates of merchant store location<br>*Example:* `"-122.3958"` | No |
| merchantCategoryCodeDesc | [ string ] |  | No |
| primaryMerchantCategoryCode | string | The primary merchant category code of merchant<br>*Example:* `"5812"` | No |
| primaryMerchantCategoryGroup | string | The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups.<br>*Example:* `"Restaurant"` | No |

#### merchantPostalCode Schema

The postal code of the merchant store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantPostalCode | string | The postal code of the merchant store location |  |

**Example**
<pre>95103</pre>

#### dbaname Schema

Doing business as name

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| dbaname | [ string ] | Doing business as name |  |

#### merchantLogoUrl Schema

Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantLogoUrl | string | Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one. |  |

**Example**
<pre>https://images.visa.com/GMR/logos/0813/8R8xVR9UkizA.png</pre>

#### visaMerchantName Schema

The name of merchant at a brand level

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaMerchantName | string | The name of merchant at a brand level |  |

**Example**
<pre>ABC Business</pre>

#### longitude Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| longitude | number or string |  |  |

#### searchAttrList-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerMid | string | Acquirer assigned Merchant ID (MID) value. Note: This field is different from Visa's internal VMID value<br>*Example:* `"1-abc-3456"` | No |
| merchantUrl | string | URL of the Merchant<br>*Example:* `"www.abc.com"` | No |
| visaStoreId | string | VSID - Visa's unique identifier of a merchant store location. Note: This value is internal to Visa and is only applicable if you already have obtained this through Merchant Search<br>*Example:* `"270000111"` | No |
| acquiringBin | string | Acquirer BIN of merchant (if available)<br>*Example:* `"412345"` | No |
| merchantCity | string | City of the merchant location<br>*Example:* `"SAN JOSE"` | No |
| merchantName | string | The name of the merchant<br>*Example:* `"ABC BUSINESS"` | No |
| terminalType | string | The type of terminal available at the merchant. Applicable values: Swipe, Chip, Paywave (contactless)<br>*Example:* `"SWIPE"` | No |
| merchantState | string | State of the merchant location<br>*Example:* `"CA"` | No |
| visaMerchantId | string | VMID - Visa's identifier for merchant at a brand level. Note: This value is internal to Visa and is only applicable if you already have obtained this through Merchant Search.<br>*Example:* `"11111111"` | No |
| visaEnterpriseId | string | VEID - Visa's identifier for a merchant at an enterprise level. Note: This value is internal to Visa and is only applicable if you already have obtained this through Merchant Search.<br>*Example:* `"80000001"` | No |
| cashBackIndicator | string | Indicates if the merchant store offers cash back. Applicable values: Y or N<br>*Example:* `"Y"` | No |
| lastTranDateRange | string | A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 90 DAYS"` | No |
| firstTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| merchantPostalCode | string | Postal code of the merchant location<br>*Example:* `"12345"` | No |
| merchantCountryCode | string | Country code of the merchant location. Note: Kindly use the 3 digit ISO standard value of country code<br>*Example:* `"840"` | No |
| merchantPhoneNumber | string | Phone number of the Merchant<br>*Example:* `"8881234567"` | No |
| merchantCategoryCode | [ string ] | Merchant category code (MCC) value used by merchant in transactions | No |
| merchantStreetAddress | string | Street Address of the registered Merchant<br>*Example:* `"123 main street"` | No |
| acquirerCardAcceptorId | string | CAID - Acquirer Card Acceptor ID. Note: CAID and Acquirer MID tends to be the same in many cases. However, the value seen in transactions is CAID<br>*Example:* `"412345-12000"` | No |
| paymentAcceptanceMethod | string | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order)<br>*Example:* `"F2F"` | No |

#### brandName Schema

Brand/trademark name of the merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| brandName | string | Brand/trademark name of the merchant |  |

**Example**
<pre>Abc's Coffee</pre>

#### merchantCity Schema

The city of the merchant store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantCity | string | The city of the merchant store location |  |

**Example**
<pre>San Jose</pre>

#### searchAttrList-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquiringBin | string | Acquirer BIN (Not required for Non-Visa transaction search type)<br>*Example:* `"412345"` | No |
| merchantCity | string | City field in transaction<br>*Example:* `"SAN JOSE"` | No |
| merchantName | string | The raw merchant description as seen in the transaction message<br>*Example:* `"ABC BUSINESS"` | No |
| merchantState | string | State field in transaction<br>*Example:* `"CA"` | No |
| merchantPostalCode | string | Postal code field in the transaction (not always available)<br>*Example:* `"12345"` | No |
| merchantCountryCode | string | Country code field in transaction<br>*Example:* `"840"` | No |
| merchantCategoryCode | [ string ] | Merchant category code (MCC) value in the transaction | No |
| acquirerCardAcceptorId | string | Acquirer Card Acceptor ID<br>*Example:* `"412345-12000"` | No |

#### searchOptions Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchScore | boolean | Allows to see the match score value. Note: Match score is used to rank responses. The absolute value of match score is not an indication of quality of response<br>*Example:* `true` | No |
| maxRecords | string | Maximum number of records to be displayed in the response if there are multiple matches. Use 1 if looking for only the top result. If you prefer to view other possible matches, use 5 or 10<br>*Example:* `"5"` | No |
| matchIndicators | boolean | Provides indicators in response to show which data attributes matched<br>*Example:* `true` | No |
| similarityScores | boolean | Allows to view the similarity score values for merchant name in response<br>*Example:* `true` | No |

#### cashBackIndicator Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| cashBackIndicator | string ([YN]) |  |  |

**Example**
<pre>Y</pre>

#### spMrchFlag Schema

A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable)

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| spMrchFlag | string | A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable) |  |

**Example**
<pre>Y</pre>

#### responseStatus Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | No |
| statusDescription | string | A description of the StatusCode. A brief description indicating the result of the Service request | No |

**Example**
<pre>{
  "responseStatus": {
    "statusCode": "API000",
    "statusDescription": "Success"
  }
}</pre>

#### responseFields Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| dbaname | string | Doing business as name<br>*Example:* `"ABC STORE"` | No |
| brandName | string | Brand/trademark name of the merchant<br>*Example:* `"Abc's Coffee"` | No |
| spMrchFlag | string | A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable)<br>*Example:* `"Y"` | No |
| merchantUrl | [ string ] | URL of merchant website if available | No |
| visaStoreId | string | The unique identifier of a merchant store location. For example, a Pizza Hut restaurant at 123 Main street, San Mateo, California would have a unique Visa store ID (VSID)<br>*Example:* `"123456789"` | No |
| merchantCity | string | The city of the merchant store location<br>*Example:* `"SAN JOSE"` | No |
| orderReceipt | string | An indicator whether a digital receipt is available for this transaction. Note: To access the digital receipts, a separate API access is required.<br>*Example:* `"N"` | No |
| terminalType | [ string ] | Indicates the type of terminal available at the merchant.Applicable values: Swipe, Chip, Paywave (contactless) | No |
| merchantState | string | The state of the merchant store location<br>*Example:* `"CA"` | No |
| visaStoreName | string | The name of merchant at store location<br>*Example:* `"Pizza Hut, San Mateo"` | No |
| visaMerchantId | string | The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities.<br>*Example:* `"11111111"` | No |
| categoryIconUrl | string | A category icon image corresponding to the field 'primaryMerchantCategoryGroup'<br>*Example:* `"https://images.visa.com/GMR/logos/0813/Xyjhjhgd787Uud.png"` | No |
| merchantIconUrl | string | Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/icons/7521/XbbPtRRU9AKUOg.jpeg"` | No |
| merchantLogoUrl | string | Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/logos/0813/8R8xVR9UkizA.png"` | No |
| visaEnterpriseId | string | The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it.<br>*Example:* `"80000001"` | No |
| visaMerchantName | string | The name of merchant at a brand level<br>*Example:* `"Pizza Hut"` | No |
| businessLegalName | string | Business legal name of the merchant<br>*Example:* `"XYZ Inc."` | No |
| lastTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| firstTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| merchantPostalCode | string | The postal code of the merchant store location<br>*Example:* `"12345"` | No |
| merchantPrimaryUrl | string | The primary URL of the merchant<br>*Example:* `"WWW.ABC.COM"` | No |
| primaryPhoneNumber | string | The primary phone number of the merchant<br>*Example:* `"8001234567"` | No |
| visaEnterpriseName | string | The name of merchant's parent enterprise.<br>*Example:* `"Yum Brands"` | No |
| merchantCountryCode | string | The country code of the merchant store location<br>*Example:* `"840"` | No |
| merchantPhoneNumber | { **"type"**: string, **"number"**: string } | Phone number of merchant store location and it's type | No |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at the store location | No |
| merchantStreetAddress | string | Street Address of the registered Merchant<br>*Example:* `"123 MAIN STREET"` | No |
| cardNotPresentFlagTran | string | An indicator whether a digital receipt is available for this transaction. Note: To access the digital receipts, a separate API access is required.<br>*Example:* `"N"` | No |
| paymentFacilitatorName | string | The name of the payment facilitator used by the merchant (if applicable)<br>*Example:* `"PAYPAL"` | No |
| locationAddressLatitude | string | The postal code of the merchant store location<br>*Example:* `"37.7661"` | No |
| paymentAcceptanceMethod | [ string ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) | No |
| locationAddressLongitude | string | The longitude co-ordinates of merchant store location<br>*Example:* `"-122.3958"` | No |
| merchantCategoryCodeDesc | [ string ] | The description of the merchant category code | No |
| primaryMerchantCategoryCode | string | The primary merchant category code of merchant<br>*Example:* `"5812"` | No |
| primaryMerchantCategoryGroup | string | The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups.<br>*Example:* `"Restaurant"` | No |

#### terminalType Schema

Types of terminal(s) available at the merchant store location. Applicable values: Swipe, Chip, Paywave (contactless)

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| terminalType | [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ] | Types of terminal(s) available at the merchant store location. Applicable values: Swipe, Chip, Paywave (contactless) |  |

#### matchScore Schema

Match Score for the record. Note: Match score is used to rank responses. The absolute value of match score is not an indication of quality of response

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchScore | number | Match Score for the record. Note: Match score is used to rank responses. The absolute value of match score is not an indication of quality of response |  |

**Example**
<pre>44.927692</pre>

#### primaryMerchantCategoryCode Schema

The primary merchant category code of merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| primaryMerchantCategoryCode | string | The primary merchant category code of merchant |  |

**Example**
<pre>5812</pre>

#### responseValues-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| dbaname | string | Doing business as name<br>*Example:* `"ABC STORE"` | No |
| brandName | string | Brand/trademark name of the merchant<br>*Example:* `"Abc's Coffee"` | No |
| spMrchFlag | string | A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable)<br>*Example:* `"Y"` | No |
| merchantUrl | [ string ] | URLs of merchant website if available | No |
| visaStoreId | string | The unique identifier of a merchant store location. For example, a Pizza Hut restaurant at 123 Main street, San Mateo, California would have a unique Visa store ID (VSID)<br>*Example:* `"123456789"` | No |
| merchantCity | string | The city of the merchant store location<br>*Example:* `"SAN JOSE"` | No |
| terminalType | [ string ] | Indicates the type of terminal available at the merchant.Applicable values: Swipe, Chip, Paywave (contactless) | No |
| merchantState | string | The state of the merchant store location<br>*Example:* `"CA"` | No |
| visaStoreName | string | The name of merchant at store location<br>*Example:* `"Pizza Hut, San Mateo"` | No |
| visaMerchantId | string | The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities.<br>*Example:* `"11111111"` | No |
| categoryIconUrl | string | A category icon image corresponding to the field 'primaryMerchantCategoryGroup'<br>*Example:* `"https://images.visa.com/GMR/logos/0813/Xyjhjhgd787Uud.png"` | No |
| merchantIconUrl | string | Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/icons/7521/XbbPtRRU9AKUOg.jpeg"` | No |
| merchantLogoUrl | string | Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://images.visa.com/GMR/logos/0813/8R8xVR9UkizA.png"` | No |
| visaEnterpriseId | string | The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it.<br>*Example:* `"4111"` | No |
| visaMerchantName | string | VMID - The name of merchant at a brand level<br>*Example:* `"ABC BUSINESS"` | No |
| businessLegalName | string | Business legal name of the merchant<br>*Example:* `"XYZ Inc."` | No |
| cashBackIndicator | string | Indicates if the merchant store offers cash back<br>*Example:* `"Y"` | No |
| lastTranDateRange | string | A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| cardNotPresentVsid | string | Indicates whether the Visa Store ID value is only for card not present - Y/N<br>*Example:* `"Y"` | No |
| firstTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| merchantPostalCode | string | The postal code of the merchant store location<br>*Example:* `"12345"` | No |
| merchantPrimaryUrl | string | The primary URL of the merchant<br>*Example:* `"WWW.ABC.COM"` | No |
| primaryPhoneNumber | string | The primary phone number of the merchant<br>*Example:* `"8001234567"` | No |
| visaEnterpriseName | string | The name of merchant's parent enterprise.<br>*Example:* `"134567"` | No |
| merchantCountryCode | string | The country code of the merchant store location<br>*Example:* `"840"` | No |
| merchantPhoneNumber | { **"type"**: string, **"number"**: string } | Phone number of merchant store location and it's type | No |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at it's store location | No |
| merchantStreetAddress | string | Street Address of the registered Merchant<br>*Example:* `"123 MAIN STREET"` | No |
| paymentFacilitatorName | string | The name of the payment facilitator used by the merchant (if applicable)<br>*Example:* `"PAYPAL"` | No |
| locationAddressLatitude | string | The latitude co-ordinates of the merchant store location<br>*Example:* `"37.7661"` | No |
| paymentAcceptanceMethod | [ string ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) | No |
| locationAddressLongitude | string | The longitude co-ordinates of merchant store location<br>*Example:* `"-122.3958"` | No |
| merchantCategoryCodeDesc | [ string ] | Eating Places and Restaurants | No |
| primaryMerchantCategoryCode | string | The primary merchant category code of merchant<br>*Example:* `"5812"` | No |
| primaryMerchantCategoryGroup | string | The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups.<br>*Example:* `"Restaurant"` | No |

#### responseValues-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| dbaname | string | Doing business as name<br>*Example:* `"ABC STORE"` | No |
| brandName | string | Brand/trademark name of the merchant<br>*Example:* `"Abc's Coffee"` | No |
| spMrchFlag | string | A flag which indicates whether the merchant is sponsored by a payment facilitator (if applicable)<br>*Example:* `"Y"` | No |
| merchantUrl | [ string ] | URL of merchant website if available | No |
| visaStoreId | string | The unique identifier of a merchant store location. For example, a Pizza Hut restaurant at 123 Main street, San Mateo, California would have a unique Visa store ID (VSID)<br>*Example:* `"123456789"` | No |
| merchantCity | string | The city of the merchant store location<br>*Example:* `"SAN JOSE"` | No |
| orderReceipt | string | An indicator whether a digital receipt is available for this transaction. Note: To access the digital receipts, a separate API access is required.<br>*Example:* `"N"` | No |
| terminalType | [ string ] | Indicates the type of terminal available at the merchant.Applicable values: Swipe, Chip, Paywave (contactless) | No |
| merchantState | string | The state of the merchant store location<br>*Example:* `"CA"` | No |
| visaStoreName | string | The name of merchant at store location<br>*Example:* `"Pizza Hut, San Mateo"` | No |
| visaMerchantId | string | The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities.<br>*Example:* `"11111111"` | No |
| categoryIconUrl | string | A category icon image corresponding to the field 'primaryMerchantCategoryGroup'<br>*Example:* `"https://images.visa.com/GMR/logos/0813/Xyjhjhgd787Uud.png"` | No |
| merchantIconUrl | string | Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://cdn-images.visa.com/GMR/icons/7927/NRL23jJgJfy4Cw.jpeg"` | No |
| merchantLogoUrl | string | Brand logos of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.<br>*Example:* `"https://cdn-images.visa.com/GMR/logos/7927/UdjVxC68aOHJsA.png"` | No |
| visaEnterpriseId | string | The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it.<br>*Example:* `"80000001"` | No |
| visaMerchantName | string | The name of merchant at a brand level<br>*Example:* `"Pizza Hut"` | No |
| businessLegalName | string | Business legal name of the merchant<br>*Example:* `"XYZ Inc."` | No |
| lastTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| firstTranDateRange | string | A flag which indicates the first transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Example:* `"IN LAST 30 DAYS"` | No |
| merchantPostalCode | string | The postal code of the merchant store location<br>*Example:* `"12345"` | No |
| merchantPrimaryUrl | string | The primary URL of the merchant<br>*Example:* `"www.abc.com"` | No |
| primaryPhoneNumber | string | The primary phone number of the merchant<br>*Example:* `"8001234567"` | No |
| visaEnterpriseName | string | The name of merchant's parent enterprise.<br>*Example:* `"Yum Brands"` | No |
| merchantCountryCode | string | The country code of the merchant store location<br>*Example:* `"840"` | No |
| merchantPhoneNumber | { **"type"**: string, **"number"**: string } | Phone number of merchant store location and it's type | No |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at it's store location | No |
| merchantStreetAddress | string | Street Address of the  merchant store location<br>*Example:* `"123 MAIN STREET"` | No |
| paymentFacilitatorName | string | The name of the payment facilitator used by the merchant (if applicable)<br>*Example:* `"PAYPAL"` | No |
| locationAddressLatitude | string | The postal code of the merchant store location<br>*Example:* `"37.7661"` | No |
| paymentAcceptanceMethod | [ string ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) | No |
| locationAddressLongitude | string | The longitude co-ordinates of merchant store location<br>*Example:* `"-122.3958"` | No |
| merchantCategoryCodeDesc | [ string ] | The description of the merchant category code | No |
| primaryMerchantCategoryCode | string | The primary merchant category code of merchant<br>*Example:* `"5812"` | No |
| primaryMerchantCategoryGroup | string | The primary merchant category group of the merchant. Currently merchants are classified into 28 different category groups.<br>*Example:* `"Restaurant"` | No |

#### header Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| startIndex | string (Default='0') | Records displayed in Response start at the specified number (Defaulted to 0 if not provided in request)<br>*Example:* `"0"` | No |
| messageDateTime | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in UTC). Ex: 2008-09-19T00:00:00.000<br>*Example:* `"2025-08-19T22:05:00.000"` | Yes |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message ID<br>*Example:* `"RequestMessgeId123"` | Yes |

#### businessLegalName Schema

Business legal name of the merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| businessLegalName | [ string ] | Business legal name of the merchant |  |

#### merchantUrl Schema

URL of the Merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantUrl | string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*) | URL of the Merchant |  |

**Example**
<pre>http://www.starbucks.com</pre>

#### status Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | Yes |
| statusDescription | string | A description of the StatusCode. A brief description indicating the result of the Service request | Yes |

#### matchIndicators Schema

List of attributes that found a match or did not find a match

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchIndicators | string | List of attributes that found a match or did not find a match |  |

**Example**
<pre>TRUE</pre>

#### distance Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| distance | string |  |  |

**Example**
<pre>8.5</pre>

#### merchantCountryCode Schema

Country Code of the Merchant. Merchant Country code is mandatory with MerchantName

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantCountryCode | integer or string | Country Code of the Merchant. Merchant Country code is mandatory with MerchantName |  |

#### merchantIconUrl Schema

Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantIconUrl | string | Brand logo icon of the merchant. Note: 'merchantIconUrl' is better suited for a square surface, while 'merchantLogoUrl' is more appropriate for a horizontal one. |  |

**Example**
<pre>https://images.visa.com/GMR/icons/7521/XbbPtRRU9AKUOg.jpeg</pre>

#### latitude Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| latitude | number or string |  |  |

#### visaEnterpriseId Schema

The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaEnterpriseId | string | The identifier for a merchant at an enterprise level (VEID). VEIDs can have multiple VMIDs associated with it. For example Yum Brands which owns Pizza Hut (VMID) will have a VEID and it can have multiple brands (VMIDs) under it. |  |

**Example**
<pre>70341416352</pre>

#### paymentAcceptanceMethod Schema

Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order)

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| paymentAcceptanceMethod | [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) |  |

#### responseData Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseValues | { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"orderReceipt"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"cardNotPresentFlagTran"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string } |  | No |

**Example**
<pre>{
  "dbaName": [
    ""
  ],
  "brandName": "COSTCO WHOLESALE",
  "merchantUrl": [
    "www.costco.com"
  ],
  "visaStoreId": 120456104,
  "merchantCity": "BOLINGBROOK",
  "orderReceipt": "N",
  "terminalType": [
    "F2F"
  ],
  "merchantState": "IL",
  "visaStoreName": "COSTCO WHOLESALE",
  "visaMerchantId": 15536819,
  "categoryIconUrl": "",
  "merchantIconUrl": "https://cdn-images.visa.com/GMR/icons/6186/hMApbgmfWUbqJg.jpeg",
  "merchantLogoUrl": "https://cdn-images.visa.com/GMR/logos/6186/9mgQN5CBewHJiA.png",
  "visaMerchantName": "COSTCO WHOLESALE",
  "lastTranDateRange": "In last 30 days",
  "firstTranDateRange": "In more than 365 days",
  "merchantPostalCode": 60440,
  "merchantCountryCode": 840,
  "merchantPhoneNumber": [
    ""
  ],
  "merchantCategoryCode": [
    "5300",
    "5542"
  ],
  "merchantStreetAddress": "830 E BOUGHTON RD",
  "cardNotPresentFlagTran": "Y",
  "paymentAcceptanceMethod": [
    "SWIPE",
    "CHIP"
  ],
  "merchantCategoryCodeDesc": [
    "AUTOMATED FUEL DISPENSERS",
    "WHOLESALE CLUBS"
  ],
  "primaryMerchantCategoryCode": 5300,
  "primaryMerchantCategoryGroup": "WHOLESALE CLUBS"
}</pre>

#### merchantState Schema

State of the merchant location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantState | string | State of the merchant location |  |

**Example**
<pre>CA</pre>

#### responseAttrList-1 Schema

A group name is assigned by Visa for clients during onboarding. By default, most clients are assigned a group name

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseAttrList-1 | [ string ] | A group name is assigned by Visa for clients during onboarding. By default, most clients are assigned a group name |  |

#### visaStoreName Schema

The name of merchant at store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaStoreName | string | The name of merchant at store location |  |

**Example**
<pre>Pizza Hut, San Mateo</pre>

#### responseAttrList-2 Schema

A group name is assigned by Visa for clients during onboarding. By default, most clients are assigned a group name

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseAttrList-2 | [ string ] | A group name is assigned by Visa for clients during onboarding. By default, most clients are assigned a group name |  |

#### locationAddressLatitude Schema

The latitude co-ordinates of the merchant store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| locationAddressLatitude | string | The latitude co-ordinates of the merchant store location |  |

**Example**
<pre>37.7661</pre>

#### visaStoreId Schema

VSID - Visa's unique identifier of a merchant store location. Note: This value is internal to Visa

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaStoreId | string | VSID - Visa's unique identifier of a merchant store location. Note: This value is internal to Visa |  |

**Example**
<pre>270000111</pre>

#### categoryIconUrl Schema

A category icon image corresponding to the field 'primaryMerchantCategoryGroup'

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| categoryIconUrl | string | A category icon image corresponding to the field 'primaryMerchantCategoryGroup' |  |

**Example**
<pre>https://images.visa.com/GMR/logos/0813/Xyjhjhgd787Uud.png</pre>

#### lastTranDateRange Schema

A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| lastTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days |  |

**Example**
<pre>IN MORE THAN 365 DAYS</pre>

#### response-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseValues | { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"orderReceipt"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"lastTranDateRange"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string } |  | Yes |
| confidenceRange | string | The confidence sore range, LOW, MEDIUM or HIGH<br>*Example:* `"HIGH"` | No |
| confidenceScore | number | The confidence score<br>*Example:* `0.8501424092421888` | No |
| matchIndicators | { **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"merchantState"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantCategoryCode"**: string, **"acquirerCardAcceptorId"**: string } | List of attributes that found a match or did not find a match | Yes |

#### response-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchScore | number | Match Score for the record. Note: Match score is used to rank responses. The absolute value of match score is not an indication of quality of response. Use confidence score to evaluate quality of response<br>*Example:* `44.927692` | Yes |
| responseValues | { **"dbaname"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: [ string ], **"visaStoreId"**: string, **"merchantCity"**: string, **"terminalType"**: [ string ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: string, **"cashBackIndicator"**: string, **"lastTranDateRange"**: string, **"cardNotPresentVsid"**: string, **"firstTranDateRange"**: string, **"merchantPostalCode"**: string, **"merchantPrimaryUrl"**: string, **"primaryPhoneNumber"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: string, **"merchantPhoneNumber"**: { **"type"**: string, **"number"**: string }, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"paymentFacilitatorName"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string } |  | Yes |
| matchIndicators | { **"acquiringBin"**: string, **"merchantCity"**: string, **"merchantName"**: string, **"merchantState"**: string, **"merchantPostalCode"**: string, **"merchantCountryCode"**: string, **"merchantCategoryCode"**: string, **"acquirerCardAcceptorId"**: string } | List of attributes that found a match or did not find a match | Yes |

#### searchOptions-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchScore | boolean | Allows to see the match score value. Note: Match score is used to rank responses. The absolute value of match score is not an indication of quality of response. Use confidence score to evaluate quality of response.<br>*Example:* `true` | No |
| maxRecords | string | Maximum number of records to be displayed in the response if there are multiple matches. Use 1 if looking for only the top result. If you prefer to view other possible matches, use 5 or 10<br>*Example:* `"5"` | No |
| searchType | string | Possible values - 'Search', 'ExploratorySearch'. Use 'Search' as the default option. 'ExploratorySearch' provides slightly elaborate search results <br>*Example:* `"Search"` | No |
| matchIndicators | boolean | Provides indicators in response to show which data attributes matched<br>*Example:* `true` | No |
| confidenceScores | boolean | Allows to view the confidence score value of response<br>*Example:* `false` | No |
| similarityScores | boolean | Allows to view the similarity score values for merchant name and street address in response<br>*Example:* `true` | No |

#### visaMerchantId Schema

The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| visaMerchantId | string | The identifier for merchant at a brand level. For example, Pizza Hut would be a brand and the Visa Merchant ID (VMID - 1111111) can be used to identify the merchant brand. One VMID can have multiple VSIDs. E.g. Pizza Hut (VMID) has multiple stores (VSIDs) in different cities. |  |

**Example**
<pre>11111111</pre>

#### searchOptions-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| maxRecords | string | Maximum number of records to be displayed in the response if there are multiple matches. For transaction enrichment use case, Visa recommends keeping it as 1.<br>*Example:* `"1"` | No |
| searchType | string | For Visa transactions use value 'VisaTransaction'.  For Non-Visa transactions, use value 'NonVisaTransaction' <br>*Example:* `"VisaTransaction"` | No |
| matchIndicators | boolean | Provides indicators in response to show which data attributes matched<br>*Example:* `true` | No |
| confidenceScores | boolean | Provides confidence score in response <br>*Example:* `true` | No |

#### header-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| endIndex | string | The end index number<br>*Example:* `"2"` | No |
| startIndex | string | The start index number<br>*Example:* `"1"` | No |
| messageDateTime | string | Date and time at which Response is sent (up to milliseconds in UTC).<br>*Example:* `"2008-09-19T00:00:00.000"` | No |
| requestMessageId | string | A string uniquely identifies the service response.<br>*Example:* `""` | No |
| numRecordsMatched | string | The total number of matched records will be displayed. The most relevant record will be automatically ranked at the top by a system-generated ranking algorithm<br>*Example:* `"1"` | No |
| responseMessageId | string | A string uniquely identifies the service request. Response will contain same Message Id as received from requesting application<br>*Example:* `""` | No |
| numRecordsReturned | string | When multiple responses are available, the number of records returned will be limited by the maxrecords field in the request. For this endpoint, maxrecords should be set to 1.<br>*Example:* `"1"` | No |

#### response Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| response | [ { **"matchScore"**: number, **"responseValues"**: { **"dbaname"**: [ string ], **"distance"**: string, **"brandName"**: string, **"spMrchFlag"**: string, **"merchantUrl"**: string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*), **"visaStoreId"**: string, **"merchantCity"**: string, **"terminalType"**: [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ], **"merchantState"**: string, **"visaStoreName"**: string, **"visaMerchantId"**: string, **"categoryIconUrl"**: string, **"merchantIconUrl"**: string, **"merchantLogoUrl"**: string, **"visaEnterpriseId"**: string, **"visaMerchantName"**: string, **"businessLegalName"**: [ string ], **"cashBackIndicator"**: string ([YN]), **"lastTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"firstTranDateRange"**: string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS", **"merchantPostalCode"**: string, **"visaEnterpriseName"**: string, **"merchantCountryCode"**: integer or string, **"merchantPhoneNumber"**: integer or string, **"merchantCategoryCode"**: [ string ], **"merchantStreetAddress"**: string, **"locationAddressLatitude"**: string, **"paymentAcceptanceMethod"**: [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ], **"locationAddressLongitude"**: string, **"merchantCategoryCodeDesc"**: [ string ], **"primaryMerchantCategoryCode"**: string, **"primaryMerchantCategoryGroup"**: string }, **"matchIndicators"**: string, **"similarityScore"**: number } ] |  |  |

#### merchantCategoryCode Schema

The various merchant category codes used by the merchant at it's store location

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at it's store location |  |

#### header-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| endIndex | string | The end index number<br>*Example:* `"2"` | No |
| startIndex | string | The start index number<br>*Example:* `"5"` | No |
| messageDateTime | string | Date and time at which Response is sent (up to milliseconds in UTC).<br>*Example:* `"2008-09-19T00:00:00.000"` | No |
| requestMessageId | string | A string uniquely identifies the service response.<br>*Example:* `""` | No |
| numRecordsMatched | string | Provides an indication of number of records matched. If there is only a single match, it will return the value 1. In certain cases when there are multiple matches, this field indicates the number of matches and would be ranked by the match score.<br>*Example:* `"5"` | No |
| responseMessageId | string | A string uniquely identifies the service request. Response will contain same Message Id as received from requesting application<br>*Example:* `""` | No |
| numRecordsReturned | string | In cases where there are multiple responses, the number of records returned will be limited by 'maxrecords' field in request. For example, if there are 3 matches and 'maxrecords' has a value of 2, number of records returned would be 2.<br>*Example:* `"2"` | No |

#### merchantStreetAddress Schema

Street Address of the registered Merchant

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| merchantStreetAddress | string | Street Address of the registered Merchant |  |

**Example**
<pre>120 S. 1st St.</pre>

#### searchAttrList Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| distance | string | *Example:* `"8.5"` | Yes |
| latitude | number or string |  | No |
| longitude | number or string |  | No |
| merchantUrl | string (^(http|https):\/\/([a-zA-Z0-9\\.\/]*)*) | URL of the Merchant<br>*Example:* `"http://www.starbucks.com"` | No |
| distanceUnit | string, <br>**Available values:** "M", "KM", "m", "km", "mi" | *Enum:* `"M"`, `"KM"`, `"m"`, `"km"`, `"mi"`<br>*Example:* `"M"` | Yes |
| merchantCity | string | The city of the merchant store location<br>*Example:* `"San Jose"` | No |
| merchantName | string | Name of the merchant<br>*Example:* `"McDonalds"` | No |
| terminalType | [ string, <br>**Available values:** "SWIPE", "CHIP", "PAYWAVE" ] | Types of terminal(s) available at the merchant store location. Applicable values: Swipe, Chip, Paywave (contactless) | No |
| merchantState | string | State of the merchant location<br>*Example:* `"CA"` | No |
| cashBackIndicator | string ([YN]) | *Example:* `"Y"` | No |
| lastTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | A flag which indicates the last transaction date range of the merchant. Applicable values: In last 30 days, In last 90 days, In last 180 days, In last 365 days, In more that 365 days<br>*Enum:* `"IN LAST 30 DAYS"`, `"IN LAST 90 DAYS"`, `"IN LAST 180 DAYS"`, `"IN LAST 365 DAYS"`, `"IN MORE THAN 365 DAYS"`<br>*Example:* `"IN MORE THAN 365 DAYS"` | No |
| firstTranDateRange | string, <br>**Available values:** "IN LAST 30 DAYS", "IN LAST 90 DAYS", "IN LAST 180 DAYS", "IN LAST 365 DAYS", "IN MORE THAN 365 DAYS" | First transaction date range of the merchant<br>*Enum:* `"IN LAST 30 DAYS"`, `"IN LAST 90 DAYS"`, `"IN LAST 180 DAYS"`, `"IN LAST 365 DAYS"`, `"IN MORE THAN 365 DAYS"`<br>*Example:* `"IN LAST 365 DAYS"` | No |
| merchantPostalCode | string | The postal code of the merchant store location<br>*Example:* `"95103"` | No |
| merchantCountryCode | integer or string | Country Code of the Merchant. Merchant Country code is mandatory with MerchantName | No |
| merchantPhoneNumber | integer or string | Phone number of merchant store location and it's type | No |
| merchantCategoryCode | [ string ] | The various merchant category codes used by the merchant at it's store location | No |
| merchantStreetAddress | string | Street Address of the registered Merchant<br>*Example:* `"120 S. 1st St."` | No |
| paymentAcceptanceMethod | [ string, <br>**Available values:** "F2F", "EC", "MOTTO" ] | Indicates the payment acceptance method available at the merchant.Applicable values: F2F (Face to face), EC (E-commerce), MOTO (Mail order Telephone Order) | No |
